KDE4-CONFIG(1)

NOME
kde4-config - Stampa i percorsi di installazione di KDE

SINOSSI

kde4-config [--expandvars] [--prefix] [--exec-prefix] [--libsuffix] [--localprefix] [--version] [--types] [--path tipo] [--userpath tipo] [--install tipo]

DESCRIZIONE

kde4-config è un programma da riga di comando usato per scoprire le informazioni sui percorsi di installazione o dell'utente.

Usa questo programma per determinare dove risiedono i diversi aspetti di KDE nel sistema.

OPZIONI

--expandvars
    espande ${prefix} e ${exec_prefix} sull'output

--prefix
    Prefisso compilato nelle librerie di KDE

--exec-prefix
    Prefisso per gli eseguibili compilato nelle librerie di KDE

--libsuffix
    Suffisso del percorso per le librerie compilato nei programmi

--localprefix
    Prefisso in $HOME usato per scrivere i file

--version
    Stringa di versione compilata nelle librerie di KDE

--types
    Stampa un elenco di tutti i tipi di risorse di KDE

--path tipo
    Percorso di ricerca per il tipo specificato

--userpath tipo
    Percorsi utente per i tipi: desktop|autostart|trash|document

--install tipo
    Prefisso dove installare i file di risorsa

ESEMPI

Stampa la directory di installazione di primo livello di KDE:

% kde4-config --prefix

Stampa un elenco di tutti i tipi di risorsa:

% kde4-config --types

Stampa il percorso degli sfondi installati:

% kde4-config --path wallpaper

VEDI ANCHE

kdeoptions(7)

BUG

Nessun bug noto.

AUTORE

Stephan Kulow <coolo@kde.org>
    Autore.